# -*- rpm-spec -*-
# $Id: kernel-modules-3c90x.spec,v 1.3 2003/11/28 19:59:43 vsu Exp $
#

%define module_name 3c90x
%define module_version 1.0.2

%define kversion 2.4.22
%define krelease alt2
%define flavour wks-up

%define kcc "%kgcc"
%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: 3COM 3c90x network card drivers
Name: kernel-modules-%{module_name}-%{flavour}
Version: %module_version
Release: alt9.2
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

BuildPreReq: kernel-build-tools

ExclusiveOS: Linux
URL: http://www.kernel.org/
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%flavour
BuildRequires:  kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:	coreutils
Prereq:	modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
This package contains 3com 3c90x nic drivers for linux kernel

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
%kcc -c 3c90x.c -O2 -Wall -Wstrict-prototypes -fomit-frame-pointer \
-I%_includedir/linux-%kversion-%flavour/include \
-fno-strength-reduce -pipe -DMODULE -D__KERNEL__ -DMODVERSIONS

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
install -p -m644 3c90x.o $RPM_BUILD_ROOT/%module_dir

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt9.2
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.2-alt8.2
- Changed %%module_dir to avoid clash with kernel-image-%%flavour.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 1.0.2-alt7.2
- replaced /usr/include to _includedir

* Wed Sep 03 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt7
- rebuilt with 2.4.21-alt23

* Mon Sep 01 2003 Zhenja Kaluta <tren@altlinux.ru> 1.0.2-alt6
- rebuilt with 2.4.21-alt22

* Mon Aug 25 2003 Zhenja Kaluta <tren@altlinux.ru> 1.0.2-alt5
- rebuilt with 2.4.21-alt21

* Wed Aug 20 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt4
- rebuilt with 2.4.21-alt19

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 1.0.2-alt3
- rebuilt with 2.4.21-alt18

* Thu Aug 07 2003 Ed V. Bartosh <ed@altlinux.org> 1.0.2-alt2
- rebuilt with 2.4.21-alt14
- spec sanity check

* Thu Aug  7 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.0.2-alt1
- Changed for 'aw' flavour

* Thu Jul 31 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.0.2-alt1
- Initial build


